Subject: Re: bug#8047: 23.2.94; Auto image mode breaks C-x C-w

From: Stefan Monnier <[email-masked]>
Date: Wed, 16 Feb 2011 20:50:20 -0500

>> what happens when you visit an XPM, PS, or SVG file encoded in
>> utf-8?
> Maybe I'm missing something, but I don't think anything will happen
> that doesn't happen already.  Care to elaborate what you had in mind?

These aren't "binary files", so setting find-file-literally may have
undesired effects.  E.g. the coding cookie will be ignored upon save,
even though such files might like to use them.  Those will also like to
obey require-final-newline, BTW.

So I suggest to set find-file-literally only in the case where
buffer-file-coding-system is `no-conversion'.

        Stefan